net.corda.core.contracts

## Class DummyContract

- net.corda.core.contracts.DummyContract

- All Implemented Interfaces:
    Contract

      public class DummyContract
      implements Contract

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DummyContract.Companion`
    `static class` | `DummyContract.MultiOwnerState` Alternative state with multiple owners. This exists primarily to provide a dummy state with multiple participants, and could in theory be merged with `class DummyContract.SingleOwnerState` by putting the additional participants in a different field, however this is a good example of a contract with multiple states.
    `static class` | `DummyContract.SingleOwnerState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DummyContract.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyContract(SecureHash legalContractReference)`
    `DummyContract()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `component1()` Unparsed reference to the natural language contract that this code is supposed to express
    `DummyContract` | `copy(SecureHash legalContractReference)`
    `boolean` | `equals(java.lang.Object p)`
    `static TransactionBuilder` | `generateInitial(int magicNumber, Party notary, PartyAndReference owner, net.corda.core.contracts.PartyAndReference otherOwners)`
    `SecureHash` | `getLegalContractReference()` Unparsed reference to the natural language contract that this code is supposed to express
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `verify(TransactionForContract tx)` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.

    - ### Methods inherited from interface net.corda.core.contracts.Contract

      `getLegalContractReference, verify`

- - ### Field Detail

    - #### Companion

          public static DummyContract.Companion Companion

  - ### Constructor Detail

    - #### DummyContract

          public DummyContract(SecureHash legalContractReference)

      Parameters:
        `legalContractReference` - Unparsed reference to the natural language contract that this code is supposed to express(usually a hash ofthe contract's contents).

    - #### DummyContract

          public DummyContract()

  - ### Method Detail

    - #### verify

          public void verify(TransactionForContract tx)

      Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.

    - #### getLegalContractReference

          public SecureHash getLegalContractReference()

      Unparsed reference to the natural language contract that this code is supposed to express

      (usually a hash ofthe contract's contents).

    - #### component1

          public SecureHash component1()

      Unparsed reference to the natural language contract that this code is supposed to express

      (usually a hash ofthe contract's contents).

    - #### copy

          public DummyContract copy(SecureHash legalContractReference)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)

    - #### generateInitial

          public static TransactionBuilder generateInitial(int magicNumber,
                                                           Party notary,
                                                           PartyAndReference owner,
                                                           net.corda.core.contracts.PartyAndReference otherOwners)